Saltar al contenido principal
PATCH
/
v1
/
organizations
/
{organization_id}
/
ledgers
/
{ledger_id}
/
transactions
/
{transaction_id}
/
operations
/
{operation_id}
Actualizar una Operación
curl --request PATCH \
  --url https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/ledgers/{ledger_id}/transactions/{transaction_id}/operations/{operation_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: <content-type>' \
  --data '
{
  "description": "Updated operation description — Pix transfer from customer to merchant",
  "metadata": {
    "notes": "Payment reference updated",
    "originalAmount": "100.00",
    "channel": "mobile",
    "updatedBy": "system",
    "reason": "customer_request"
  }
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "ledgerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "accountAlias": "<string>",
  "balanceId": "<string>",
  "balanceKey": "<string>",
  "description": "<string>",
  "type": "CREDIT",
  "assetCode": "<string>",
  "chartOfAccounts": "<string>",
  "route": "<string>",
  "amount": {
    "value": "<string>"
  },
  "balance": {
    "available": "<string>",
    "onHold": "<string>",
    "version": 123
  },
  "balanceAfter": {
    "available": "<string>",
    "onHold": "<string>",
    "version": 123
  },
  "status": {
    "code": "<string>",
    "description": "<string>"
  },
  "balanceAffected": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "deletedAt": "2023-11-07T05:31:56Z",
  "metadata": {}
}

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Encabezados

Authorization
string

El token de autorización. Este encabezado es requerido si su entorno tiene el Access Manager habilitado.

Content-Type
string
requerido

El tipo de medio del recurso. Debe ser application/json.

X-Request-Id
string<uuid>

Un identificador único utilizado para rastrear y seguir cada solicitud.

Parámetros de ruta

organization_id
string
requerido

The unique identifier of the Organization associated with the Ledger.

ledger_id
string
requerido

The unique identifier of the associated Ledger.

operation_id
string
requerido

The unique identifier of the operation that you want to retrieve.

transaction_id
string
requerido

The unique identifier of the transaction you want to retrieve.

Cuerpo

application/json
description
string

The description for the operation.

Maximum string length: 256
metadata
object

An object containing key-value pairs to add as metadata, where the field name is the key and the field value is the value. For example, to add a Cost Center, use 'costCenter': 'BR_11101997'.

Respuesta

Indica que la solicitud fue exitosa y la respuesta contiene los datos esperados.

id
string<uuid>

El identificador único de la Operación.

transactionId
string<uuid>

El identificador único de la Transacción.

organizationId
string<uuid>

The unique identifier of the Organization.

ledgerId
string<uuid>

El identificador único del Ledger.

accountId
string<uuid>

El identificador único de la Cuenta.

accountAlias
string

The alias for the account used in the operation.

balanceId
string

The unique identifier of the Balance.

balanceKey
string

The unique key that identifies the Balance.

description
string

Description of the transaction.

type
enum<string>

The type of the operation.

Opciones disponibles:
CREDIT,
DEBIT,
ON_HOLD,
RELEASE
assetCode
string

The name of the asset used in the operation.

chartOfAccounts
string

The name of the Chart-of-Accounts that the operation belongs to.

route
string

The unique ID of the operation route for this transaction leg. Must match source and destination config to define how value moves between accounts.

amount
object

An object containing information about the amount used in the operation.

balance
object

An object containing information about the balance before the operation.

balanceAfter
object

An object containing information about the balance after the operation.

status
object

The transaction status (pending, completed, reversed).

balanceAffected
boolean

If true, indicates that the operation affected the account balance.

createdAt
string<date-time>

Timestamp of creation (UTC).

updatedAt
string<date-time>

Timestamp of last update (UTC).

deletedAt
string<date-time> | null

Timestamp of soft deletion, if applicable (UTC).

metadata
object

An object containing key-value pairs to add as metadata, where the field name is the key and the field value is the value. For example, to add a Cost Center, use 'costCenter': 'BR_11101997'.